///
/// Copyright 2006 Attrice Corporation, http://www.attrice.info 
/// This software is a freeware and may be used under Attrice Sidekicks License
/// (download updated license from http://www.attrice.info/downloads/sidekick_license.txt)
/// Feedback or questions? Contact us at info@attrice.info
///
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Attrice.VisualStudioIntegration.Tfs
{
    public partial class FormConfigure : Form
    {
        public FormConfigure()
        {
            InitializeComponent();
        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            if (radioButtonExternal.Checked && textBoxPath.TextLength == 0)
            {
                MessageBox.Show("Please specify external application", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }

            DialogResult = DialogResult.OK;
            Close();
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
            Close();
        }

        private void buttonBrowse_Click(object sender, EventArgs e)
        {
            if (radioButtonExternal.Checked)
            {
                openFileDialog1.FileName = textBoxPath.Text;
                if (openFileDialog1.ShowDialog(this) == DialogResult.OK)
                    textBoxPath.Text = openFileDialog1.FileName;
            }
        }

        public bool EditExternal
        {
            get
            {
                return radioButtonExternal.Checked;
            }
            set
            {
                radioButtonExternal.Checked = value;
                radioButtonVS.Checked = !value;
                buttonBrowse.Enabled = value;
            }
        }

        public string ExternalPath
        {
            get
            {
                return textBoxPath.Text;
            }
            set
            {
                textBoxPath.Text = value;
            }
        }

        private void radioButtonVS_CheckedChanged(object sender, EventArgs e)
        {
            buttonBrowse.Enabled = radioButtonExternal.Checked;
        }

        public bool DynamicHistory
        {
            get { return checkBoxDynamicHistory.Checked; }
            set { checkBoxDynamicHistory.Checked = value; }
        }
    }
}